%if 0%{?fedora} < 13 || 0%{?rhel} < 7
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print (get_python_lib())")}
%endif

%global srcname SFLvault-client

Name:           sflvault-client
Version:        0.7.8.2
Release:        3%{?dist}
Summary:        Networked credentials store and authentication manager

Group:          Applications/System
License:        GPLv3
URL:            http://pypi.python.org/pypi/%{srcname}
Source0:        http://pypi.python.org/packages/source/S/%{srcname}/%{srcname}-%{version}.tar.gz
Patch0:         0001-7321-fix-urwid-1.0-compatibility.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       python, python-setuptools, python-simplejson, python-crypto, python-urwid, pexpect, python-nose, sflvault-common

BuildArch:      noarch
BuildRequires:  python2-devel, python-setuptools, python-pip, python-crypto, python-urwid, pexpect, python-nose, sflvault-common
%description
SFLvault is a networked credentials store and authentication manager.

It has a client/vault (server) architecture allowing to cryptographically store
and organize loads of passwords for different machines and services.

%prep
%setup -q -n %{srcname}-%{version}

find -name '*.txt' | xargs chmod -x
find . -name '*.orig' -exec rm \{\} \;

find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python}|'
# Fix #7823 unicode problem
sed -i '/encode.*lambda/ { s/unicode/str/ }' sflvault/client/client.py
%patch0 -p2

%build

CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
rm -rf %{buildroot}

%{__python} setup.py install --skip-build --root %{buildroot}

rm -rf %{buildroot}%{python_sitelib}/setuptools/tests

find %{buildroot}%{python_sitelib} -name '*.exe' | xargs rm -f

%check
%{__python} setup.py test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc */*.txt 
%{_bindir}/sflvault
%{python_sitelib}/*
%exclude %{python_sitelib}/*/.gitignore
%exclude %{python_sitelib}/sflvault/__init__.py*

%changelog
* Sat May 06 2012 Simon Piette <piette.simon@gmail.com> - 0.7.8.2-3
- Fix #7321 urwid 1.0.0 compatibility

* Sat May 05 2012 Simon Piette <piette.simon@gmail.com> - 0.7.8.2-2
- Fix #7823 unicode problem

* Sun Apr 29 2012 Simon Piette <piette.simon@gmail.com> - 0.7.8.2-1
- Initial spec file
